package com.example.soulfood_assignment2;

import android.app.Activity;
import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.SearchView;
import android.widget.Toast;

import java.util.AbstractList;
import java.util.ArrayList;
import java.util.Arrays;

public class searchScreen extends AppCompatActivity {

    public ListView searchResults;
    public ListView songResults;
    public ArrayAdapter<String> adapter;

    public Intent vibeView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_search_screen);
        searchResults = findViewById(R.id.tagListView);
        songResults = findViewById(R.id.charleyNeedsHelp);

        ArrayList<String> searchResultsArray = new ArrayList<>();
        searchResultsArray.addAll(Arrays.asList(getResources().getStringArray(R.array.searchResultsArray)));

        adapter = new ArrayAdapter<String>(
                searchScreen.this, android.R.layout.simple_list_item_1, searchResultsArray
        );

        searchResults.setAdapter(adapter);
        searchResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {

            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                switch (position) {
                    case 0:
                        tagNamePage("Chinese");
                        break;
                    case 1:
                        tagNamePage("Thai");
                        break;
                    case 2:
                        tagNamePage("Indian");
                        break;
                    case 3:
                        tagNamePage("Japanese");
                        break;
                    case 4:
                        tagNamePage("Italian");
                        break;
                    case 5:
                        tagNamePage("Mexican");
                        break;
                    case 6:
                        tagNamePage("French");
                        break;
                    case 7:
                        tagNamePage("American");
                        break;
                    case 8:
                       // tagNamePage("Chill");
                        // break;
                    case 9:
                        //tagNamePage("Happy");
                        //break;
                    case 10:
                        //tagNamePage("energetic");
                        //break;
                }
            }


        });


    }

    public void tagNamePage(String tagNameMethod) {
        String tagView = "Songs with '" + tagNameMethod +"' Tag";
        vibeView = new Intent(searchScreen.this, swtViewScreen.class);
        vibeView.putExtra("tag_name", tagView);
        vibeView.putExtra("tag_name_selected", tagNameMethod);
        startActivity(vibeView);
    }

    public boolean onCreateOptionsMenu(Menu menu) {

        SearchView sv = findViewById(R.id.searchView);
        sv.setQueryHint("Search for tags");

        sv.setOnQueryTextListener(new SearchView.OnQueryTextListener() {
            @Override
            public boolean onQueryTextSubmit(String s) {

                Toast.makeText(searchScreen.this,"No tags to match this result.", Toast.LENGTH_LONG).show();
                return false;
            }

            @Override
            public boolean onQueryTextChange(String s) {
                adapter.getFilter().filter(s);
                return false;
            }
        });

        return super.onCreateOptionsMenu(menu);

    }

    public void homeScreenViewOnClick(View view) {
        Intent intent = new Intent(this, homeScreen.class);
        startActivity(intent);
    }


}